#!/bin/bash

beam=$1
freq1=74090000
freq2=60000000
bw=6

echo "Starting Test On:"
echo "  Beam: ${beam}"
echo "    Tuning 1: ${freq1}"
echo "    Tuning 2: ${freq2}"
echo "    Filter: ${bw}"
echo " "

./mesix DP_ BAM "${beam} 740_900_0000.df default.gf 0" >/dev/null
sleep 1
while [ 1 ]; do
	for gain in {4..8}; do
		echo "Testing ${gain}..."
		./mesix DP_ DRX "${beam} 1 ${freq1} ${bw} ${gain} 0" >/dev/null
		./mesix DP_ DRX "${beam} 2 ${freq2} ${bw} ${gain} 0" >/dev/null
		sleep 10
	done
done

